Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 337851 - net-analyzer/packit _FORTIFY_SOURCE indicates presence of overflow
Summary: net-analyzer/packit _FORTIFY_SOURCE indicates presence of overflow
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High major (vote)
Assignee: Netmon Herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: fortify-source
  Show dependency tree
 
Reported: 2010-09-18 11:31 UTC by Diego Elio Pettenò (RETIRED)
Modified: 2012-03-19 11:55 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Build log (packit-1.0-r1:20100918-100814.log,76.62 KB, text/plain)
2010-09-18 11:32 UTC, Diego Elio Pettenò (RETIRED)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Elio Pettenò (RETIRED) gentoo-dev 2010-09-18 11:31:43 UTC
You're receiving this bug because the package in Summary has produced _FORTIFY_SOURCE related warnings indicating the presence of a sure overflow in a static buffer.

Even though this is not always an indication of a security problem it might even be. So please check this out ASAP.

By the way, _FORTIFY_SOURCE is disabled when you disable optimisation, so don't try finding out the cause using -O0.

Thanks,
Your friendly neighborhood tinderboxer
Comment 1 Diego Elio Pettenò (RETIRED) gentoo-dev 2010-09-18 11:32:41 UTC
Created attachment 247770 [details]
Build log
Comment 2 Jeroen Roovers gentoo-dev 2011-08-01 20:21:03 UTC
Fixed in 1.0-r2. Patch sent upstream.
Comment 3 Jeroen Roovers gentoo-dev 2011-08-12 20:55:47 UTC
Note: mail was returned so the official address (indeed domain) is no longer valid. Neither is the upstream maintainer's official home page on <http://obtuse.net/>.
Comment 4 Pacho Ramos gentoo-dev 2012-03-19 11:55:03 UTC
(In reply to comment #2)
> Fixed in 1.0-r2. Patch sent upstream.